[postgis-tickets] r17350 - don't bother testing non-logbt if logbt is chosen (would be largely redundant? )
Regina Obe
lr at pcorp.us
Wed Mar 20 01:07:59 PDT 2019
Author: robe
Date: 2019-03-20 13:07:59 -0700 (Wed, 20 Mar 2019)
New Revision: 17350
Modified:
trunk/ci/debbie/postgis_regress.sh
Log:
don't bother testing non-logbt if logbt is chosen (would be largely redundant? )
References #4354
Modified: trunk/ci/debbie/postgis_regress.sh
===================================================================
--- trunk/ci/debbie/postgis_regress.sh 2019-03-20 20:03:29 UTC (rev 17349)
+++ trunk/ci/debbie/postgis_regress.sh 2019-03-20 20:07:59 UTC (rev 17350)
@@ -72,8 +72,17 @@
exit $?
fi
-export RUNTESTFLAGS=-v
+if [ "$MAKE_LOGBT" = "1" ]; then
+ echo "Running logbt testing"
+ bash ./ci/debbie/logbt -- make -j check RUNTESTFLAGS=--verbose
+ if [ "$?" != "0" ]; then
+ exit $?
+ fi
+else
+ export RUNTESTFLAGS=-v
+fi
+
make check
## install so we can test upgrades/dump-restores etc.
@@ -87,14 +96,8 @@
fi
fi
-if [ "$MAKE_LOGBT" = "1" ]; then
- echo "Running logbt testing"
- bash ./ci/debbie/logbt -- make -j check RUNTESTFLAGS=--verbose
- if [ "$?" != "0" ]; then
- exit $?
- fi
-fi
+
if [ "$DUMP_RESTORE" = "1" ]; then
echo "Dum restore test"
make check RUNTESTFLAGS="$RUNTESTFLAGS --dumprestore"
More information about the postgis-tickets
mailing list